function vels=getVectorRange(start_time,end_time,Vector)
% Get velocity from 'Vector' matrix (output of processVectorBinary) over a
% given time range.  If 'Vector' not given, attempts to load
% Vector.mat file from current difectory.

% 'start_time' and 'end_time' indicate desired time range to retrieve,
% format is serial date

% vels is [Vx,Vy,Vz] from vector data

% Ben Strom, last edit July 23, 2015

%  if nargin>2
%      upfile=dir('Vector.mat');
%      if isempty(upfile)~=0;
%         load('Vector.mat')
%      end
%  end

if exist('Vector','var')==0
    error('No Vector matrix given or in current directory')
end

% datevec(start_time)
% datevec(end_time)
% datevec(Vector(1,1))
% datevec(Vector(end,1))

% Check if velocity data exists between start_time and end_time
if start_time<Vector(1,1) || end_time>Vector(end,1)
    error('Requested time range outside of sampled time')
end

% Get timestamps closest to start_time and end_time
[~,start_ind]=min(abs(Vector(:,1)-start_time));
[~,end_ind]=min(abs(Vector(:,1)-end_time));

% % % Get timestamps closest to but before start_time and end_time
% % % (to ensure a constant number of samples for a given aquisition period)
% % [~,in1]=sort(abs(Vector(:,1)-start_time));
% % [~,in2]=min(Vector(in1(1:2),1));
% % start_ind=in1(in2);
% % 
% % [~,in3]=sort(abs(Vector(:,1)-end_time));
% % [~,in4]=min(Vector(in3(1:2),1));
% % end_ind=in3(in4);

vels=Vector(start_ind:end_ind,2:4);

end