function gridWakeData(FilePrefix)

% Function to take phase averaged vectrino data and grid it up

% function plotWakeTransect
% Desired plot/video resolution in cm
res=[0.5 0.5 0.25];
load('phaseAvData.mat')
load('mean_Uinf.mat')

% position, X,Y,Z column vector
pos = vertcat(paWake.pos);

% Ploting grid
xv = (min(pos(:,1)):res(1):max(pos(:,1)));
yv = min(pos(:,2)):res(2):max(pos(:,2));
[X,Y] = meshgrid(xv,yv);

% Calculate some 
RsCross = cat(3,paWake.RsCross);
TI_b = cat(3,paWake.TI);
vels_prime_2 = cat(3,paWake.Up2);
vels=cat(3,paWake.U);

Uprime2_a = squeeze(vels_prime_2(:,1,:))';
Vprime2_a = squeeze(vels_prime_2(:,2,:))';
Wprime2_a = squeeze(vels_prime_2(:,3,:))';

TKE_a = 1/2*(Uprime2_a + Vprime2_a + Wprime2_a);

TI_a = squeeze(TI_b(:,1,:))';

UpVp_a = squeeze(RsCross(:,1,:))';
UpWp_a = squeeze(RsCross(:,2,:))';
VpWp_a = squeeze(RsCross(:,3,:))';

UU=squeeze(vels(:,1,:))';
VV=squeeze(vels(:,2,:))';
WW=squeeze(vels(:,3,:))';


for i=1:size(UU,2)
    U(:,:,i)=gridfit(pos(:,1),pos(:,2),UU(:,i),xv,yv,'smoothness',1,'interp','bilinear');
    V(:,:,i)=gridfit(pos(:,1),pos(:,2),VV(:,i),xv,yv,'smoothness',1,'interp','bilinear');
    W(:,:,i)=gridfit(pos(:,1),pos(:,2),WW(:,i),xv,yv,'smoothness',1,'interp','bilinear');
    TKE(:,:,i)=gridfit(pos(:,1),pos(:,2),TKE_a(:,i),xv,yv,'smoothness',1,'interp','bilinear');
    UpVp(:,:,i)=gridfit(pos(:,1),pos(:,2),UpVp_a(:,i),xv,yv,'smoothness',1,'interp','bilinear');
    UpWp(:,:,i)=gridfit(pos(:,1),pos(:,2),UpWp_a(:,i),xv,yv,'smoothness',1,'interp','bilinear');
    VpWp(:,:,i)=gridfit(pos(:,1),pos(:,2),VpWp_a(:,i),xv,yv,'smoothness',1,'interp','bilinear');
    TI(:,:,i)=gridfit(pos(:,1),pos(:,2),TI_a(:,i),xv,yv,'smoothness',1,'interp','bilinear');
end
save([FilePrefix, '_less_smooth'],'U','V','W','X','Y','TKE','UpVp','UpWp','VpWp','TI','Uinf')

for i=1:size(UU,2)
    U(:,:,i)=gridfit(pos(:,1),pos(:,2),UU(:,i),xv,yv,'smoothness',15,'interp','bilinear');
    V(:,:,i)=gridfit(pos(:,1),pos(:,2),VV(:,i),xv,yv,'smoothness',15,'interp','bilinear');
    W(:,:,i)=gridfit(pos(:,1),pos(:,2),WW(:,i),xv,yv,'smoothness',15,'interp','bilinear');
    TKE(:,:,i)=gridfit(pos(:,1),pos(:,2),TKE_a(:,i),xv,yv,'smoothness',15,'interp','bilinear');
    UpVp(:,:,i)=gridfit(pos(:,1),pos(:,2),UpVp_a(:,i),xv,yv,'smoothness',15,'interp','bilinear');
    UpWp(:,:,i)=gridfit(pos(:,1),pos(:,2),UpWp_a(:,i),xv,yv,'smoothness',15,'interp','bilinear');
    VpWp(:,:,i)=gridfit(pos(:,1),pos(:,2),VpWp_a(:,i),xv,yv,'smoothness',15,'interp','bilinear');
    TI(:,:,i)=gridfit(pos(:,1),pos(:,2),TI_a(:,i),xv,yv,'smoothness',15,'interp','bilinear');
end
save([FilePrefix, '_more_smooth'],'U','V','W','X','Y','TKE','UpVp','UpWp','VpWp','TI','Uinf')


end